%define theme Master

Name: design-bootsplash
Version: 2.2
Release: alt3.%theme
Summary: Theme for splash animations during bootup
License: GPL
Group: Graphics
Epoch: 2
BuildPreReq: gfxboot design-bootloader-%theme

# Theme file
Source0: %name-%theme-%version.tar.bz2

%description
This package contains graphics for boot process
(needs console splash screen enabled)

%prep
%setup -q -n %name-%theme-%version

%build

%install
# create directory structure
mkdir -p $RPM_BUILD_ROOT/%_datadir/splash/themes/%theme/
cp -a *	$RPM_BUILD_ROOT%_datadir/splash/themes/%theme/

# create current bootloader themes
cd %_datadir/gfxboot/%theme/
mkdir -p $RPM_BUILD_ROOT/boot/splash/%theme
%_sbindir/mkbootmsg -c %theme.config $RPM_BUILD_ROOT/boot/splash/%theme/message

%post
%__ln_s -nf %theme /usr/share/splash/themes/current
%__ln_s -nf %theme/message /boot/splash/message

%preun
[ $1 = 0 ] || exit 0
[ "`readlink /usr/share/splash/themes/current`" != %theme ] ||
    %__rm -f /usr/share/splash/themes/current

[ "`readlink /boot/splash/message`" != %theme/message ] ||
    %__rm -f /boot/splash/message

%files
%_datadir/splash/themes/%theme
/boot/splash/%theme/message

%changelog -n design-bootsplash
* Wed Feb 12 2003 Stanislav Ievlev <inger@altlinux.ru> 2:2.2-alt3.Master
- rebuild with new picture

* Mon Feb 10 2003 Rider <rider@altlinux.ru> 2:2.2-alt2.Master
- default foreground color set to gray
- removed animations

* Mon Feb 10 2003 Rider <rider@altlinux.ru> 2:2.2-alt1.Master
- first build for ALT
